{ ... }:
let
  mkSource = tags: url: { inherit tags url; };
in {
  programs.newsboat.urls = [
    (mkSource [ "news" "norway" ] "https://www.nrk.no/toppsaker.rss")
    (mkSource [ "news" "norway" ] "https://www.bygdeposten.no/service/rss")
    (mkSource [ "news" "norway" ] "https://www.nidaros.no/service/rss")
    (mkSource [ "news" "tech" ] "https://rss.kode24.no/")

    (mkSource [ "ntnu" ] "https://omegav.no/newsrss")
    (mkSource [ "ntnu" ] "https://www.pvv.ntnu.no/w/api.php?hidebots=1&urlversion=1&days=7&limit=50&action=feedrecentchanges&feedformat=atom")
    (mkSource [ "ntnu" ] "https://varsel.it.ntnu.no/subscribe/rss/")

    (mkSource [ "tech" "linux" ] "https://archlinux.org/feeds/news/")
    (mkSource [ "tech" "linux" "nixos" ] "https://nixos.org//blog/announcements-rss.xml")
    (mkSource [ "tech" ] "https://hnrss.org/frontpage")
    (mkSource [ "tech" ] "https://lwn.net/headlines/rss")

    (mkSource [ "tech" "blog" ] "https://xeiaso.net/blog.rss")

    (mkSource [ "alerts" ] "https://domene.shop/rss/no/news.rdf")
    (mkSource [ "alerts" ] "https://domene.shop/rss/no/status.rdf")

    (mkSource [ "videos" ] "https://rss.nebula.app/video/channels/thelogisticsofx.rss")
    (mkSource [ "videos" ] "https://rss.nebula.app/video/channels/wendover.rss")
    (mkSource [ "videos" ] "https://rss.nebula.app/video/channels/realengineering.rss")
  ];
}

